Subject: bug#13335: 24.1; compilation misparses GNU-style message locations

From: Mattias Engdegård <[email-masked]>
Date: Thu, 10 Jan 2013 19:52:31 +0100

10 jan 2013 kl. 08.53 skrev Glenn Morris:

> LINE1-LINE2.COL2    # this seems to be something Emacs made up AFAICS

Is that something we need to keep, or do you consider it a "regression"
to remove it? It does not look very useful to me (a range of lines but
the same column?).

Anyway, I can confirm that your patch works for a very small variety
of tools (including the bug subject). Thanks for taking care of this.

What about transforming that regexp into rx form, by the way?
Besides being a more readable form (and fewer backslashes),
it would also permit explanatory comments to be put at their natural
places inside.